/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { AnchoredRadialSeriesDescription } from "./AnchoredRadialSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let RadialPieSeriesDescription = /*@__PURE__*/ (() => {
    class RadialPieSeriesDescription extends AnchoredRadialSeriesDescription {
        get_type() {
            return "RadialPieSeries";
        }
        constructor() {
            super();
            this.fp = 0;
            this.fq = 0;
        }
        get radiusX() {
            return this.fp;
        }
        set radiusX(a) {
            this.fp = a;
            this.g("RadiusX");
        }
        get radiusY() {
            return this.fq;
        }
        set radiusY(a) {
            this.fq = a;
            this.g("RadiusY");
        }
    }
    RadialPieSeriesDescription.$t = /*@__PURE__*/ markType(RadialPieSeriesDescription, 'RadialPieSeriesDescription', AnchoredRadialSeriesDescription.$);
    return RadialPieSeriesDescription;
})();
